Page MenuHomePhabricator

APISite.editEntity allows `exclude`, however this is not a valid parameter
Closed, ResolvedPublic

Description

https://test.wikidata.org/w/api.php?action=help&modules=wbeditentity doesnt mention exclude, however this is listed as a valid 'wbeditentity parameter in 436ccf2e.

Was exclude a valid parameter? When was it removed?

Details

Related Gerrit Patches:
pywikibot/core : masterremove 'exclude' from site.py

Event Timeline

jayvdb created this task.Sep 10 2015, 11:47 AM
jayvdb raised the priority of this task from to Needs Triage.
jayvdb updated the task description. (Show Details)
jayvdb added a subscriber: jayvdb.
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptSep 10 2015, 11:47 AM
Saurv4u claimed this task.Mar 12 2016, 10:15 AM

Change 276959 had a related patch set uploaded (by Xqt):
remove 'exclude' from site.py

https://gerrit.wikimedia.org/r/276959

Change 276959 merged by jenkins-bot:
remove 'exclude' from site.py

https://gerrit.wikimedia.org/r/276959

Xqt closed this task as Resolved.Mar 14 2016, 4:18 PM